#include<iostream>
#include<cmath>
using namespace std;

struct dpoint {double x; double y;};
dpoint p[4];

dpoint operator+(dpoint p1, dpoint p2)
{
  dpoint p; p.x=p2.x+p1.x; p.y=p2.y+p2.y;
  return p;     
}

dpoint operator-(dpoint p1, dpoint p2)
{
  dpoint p; p.x=p2.x-p1.x; p.y=p2.y-p2.y;
  return p;     
}

dpoint operator*(double d, dpoint p)
{
  dpoint p1; p1.x=d*p.x; p1.y=d*p.y;
  return p1;     
}

double norm(dpoint p1, dpoint p2)
{
 return sqrt((p1.x-p2.x)*(p1.x-p2.x)+(p1.y-p2.y)*(p1.y-p2.y));
}


double ccw(dpoint p0, dpoint p1, dpoint p2)
{ 
 double dx1=p1.x-p0.x; double dy1=p1.y-p0.y; 
 double dx2=p2.x-p0.x; double dy2=p2.y-p0.y;
 return dx1*dy2-dy1*dx2;
}

int compute_p()
{
  double acx=p[0].x-p[2].x;
  double acy=p[0].y-p[2].y;
  double bax=p[1].x-p[0].x;
  double bay=p[1].y-p[0].y;
     
  double t = (-acy*bay-acx*bax)/(bax*bax+bay*bay);
  
  p[3].x=p[0].x+t*(p[1].x-p[0].x);
  p[3].y=p[0].y+t*(p[1].y-p[0].y);
   
  double c0 = ccw(p[2],p[3],p[0]);
  double c1 = ccw(p[2],p[3],p[1]);
  if(c0*c1<0) return 3;
  if(fabs(c0)<fabs(c1)) return 0; else return 1;
     
}

int main()
{ for(int i=0; i<3; i++) cin >> p[i].x >> p[i].y;
  int ir=compute_p();
  cout << (int)p[ir].x << " " << (int)p[ir].y << endl;  
}
  
